# $Id: smeserver-diskusage.spec,v 1.5 2024/09/05 03:16:47 terryfage Exp $
# Authority: darrellmay
# Name: Darrell May

Summary: Disk usage panel for the SME Server
%define name smeserver-diskusage
Name: %{name}
%define version 0.2.0
%define release 8
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.xz
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: smeserver-base,  smeserver-release >= 9.0
Requires: smeserver-formmagick
BuildRequires: smeserver-devtools
Obsoletes: dmc-mitel-diskusage
AutoReqProv: no

%description
Disk usage panel showing filesystem, i-bay and user statistics.

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 0.2.0-8.sme
- Fix e-smith references in smeserver-diskusage [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 0.2.0-7.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Thu Sep 05 2024 Terry Fage <terry@fage.id.au> 0.0.2-6.sme
- apply locale 2024-09-05.patch

* Sun Aug 22 2021 Terry Fage <terry.fage@gmail.com> 0.0.2-5.sme
- apply locale 2021-08-22 patch

* Wed Mar 24 2021 Brian Read <brianr@bjsystems.co.uk> 0.2.0-4.sme
- Add Update event to createlinks [SME: 11030]

* Wed Mar 24 2021 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Mon Oct 12 2020 Brian Read <brianr@bjsystems.co.uk> 0.2.0-3.sme
- Initial import to SME10 tree [SME: 11030]

* Wed Jul 01 2015 stephane de Labrusse <stephdl@de-labrusse.fr> - 0.2.0-2
- add smeserver-diskusage-0.2.0-locale-2015-07-01.patch [SME: 8966]
 
* Sun Jun 08 2014 stephane de Labrusse <stephdl@de-labrusse.fr> - 0.2.0-1
- First release to contribs9
- add locale smeserver-diskusage-0.0.1-locale-2014-06-08.patch
 
* Sun Jul 14 2013 JP Pialasse <tests@pialasse.com> 0.0.1-22.sme
- apply locale 2013-07-14 patch

* Tue Mar 20 2012 SME Translation Server <translations@contribs.org> 0.0.1-21.el6
- apply locale 2012-03-20 patch

* Sun Mar 06 2011 SME Translation Server <translations@contribs.org> 0.0.1-20.sme
- apply locale 2011-03-06 patch

* Sun May 23 2010 SME Translation Server <translations@contribs.org> 0.0.1-19.sme
- apply locale 2010-05-23 patch

* Tue Mar 02 2010 SME Translation Server <translations@contribs.org> 0.0.1-18.sme
- apply locale 2010-03-02 patch

* Tue Oct 27 2009 SME Translation Server <translations@contribs.org> 0.0.1-17.sme
- apply locale 2009-10-27 patch

* Mon Aug 24 2009 SME Translation Server <translations@contribs.org> 0.0.1-16.sme
- apply locale 2009-08-24 patch

* Wed May 20 2009 SME Translation Server <translations@contribs.org> 0.0.1-15.sme
- apply locale 2009-05-20 patch

* Mon Apr 27 2009 SME Translation Server <translations@contribs.org> 0.0.1-14.sme
- apply locale 2009-04-27 patch

* Tue Mar 03 2009 SME Translation Server
- apply locale 2009-03-03 patch

* Sun Mar  1 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 0.0.1-12
- Apply  1 Mar 2009 locale patch [SME: 5018]

* Sun Nov 30 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.0.1-11
- Apply 30 Nov 2008 locale patch

* Tue Oct 14 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.0.1-10
- Apply 14 Oct 2008 locale patch

* Tue Jul 1 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.0.1-9
- Apply 1 July 2008 locale patch

* Wed May 7 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.0.1-8
- Apply 7 May 2008 locale patch

* Mon May 5 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.0.1-7
- Apply 5 May 2008 locale patch

* Sat Apr 26 2008 Jonathan Martens <smeserver-contribs@snetram.nl>
- Add common <base> tags to e-smith-formmagick's general

* Wed Apr 23 2008 Jonathan Martens <smeserver-contribs@snetram.nl>
- Added 23 April 2008 locale patch

* Tue Apr 22 2008 Jonathan Martens <smeserver-contribs@snetram.nl>
- Added 22 April 2008 locale patch

* Mon Apr 21 2008 Shad L. Lords <slords@mail.com>
- Prep for import into buildsys
- Clean up spec

* Mon Apr 16 2007 Darrell May <dmay@myezserver.com>
- added /opt to ibay table
- added date header
- [0.0.1-2]
* Wed Mar 21 2007 Darrell May <dmay@myezserver.com>
- split usage/path into two columns
- [0.0.1-1]
* Tue Mar 20 2007 Darrell May <dmay@myezserver.com>
- renamed and rebuilt for SME 7.x
- [0.0.1-0]
* Fri Aug 09 2002 Darrell May <dmay@netsourced.com>
- initial release
- [0.0.1-1]

%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f e-smith-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
